org.apache.ivy.ant

## Class IvyInstall

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.ivy.ant.IvyTask
      - - org.apache.ivy.ant.IvyInstall

- All Implemented Interfaces:
    java.lang.Cloneable

      public class IvyInstall
      extends IvyTask

  Allow to install a module or a set of module from repository to another one.

- - ### Field Summary

    - ### Fields inherited from class org.apache.ivy.ant.IvyTask

      `ANT_PROJECT_CONTEXT_KEY`

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IvyInstall()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doExecute()` The real logic of task execution after project has been set in the context.
    `java.lang.String` | `getBranch()`
    `java.lang.String` | `getConf()`
    `java.lang.String` | `getFrom()`
    `java.lang.String` | `getMatcher()`
    `java.lang.String` | `getModule()`
    `java.lang.String` | `getOrganisation()`
    `java.lang.String` | `getRevision()`
    `java.lang.String` | `getTo()`
    `java.lang.String` | `getType()`
    `boolean` | `isHaltonfailure()`
    `boolean` | `isInstallOriginalMetadata()`
    `boolean` | `isOverwrite()`
    `boolean` | `isTransitive()`
    `void` | `setBranch(java.lang.String branch)`
    `void` | `setCache(java.io.File cache)`
    `void` | `setConf(java.lang.String conf)`
    `void` | `setFrom(java.lang.String from)`
    `void` | `setHaltonfailure(boolean haltOnFailure)`
    `void` | `setInstallOriginalMetadata(boolean installOriginalMetadata)`
    `void` | `setMatcher(java.lang.String matcher)`
    `void` | `setModule(java.lang.String module)`
    `void` | `setOrganisation(java.lang.String organisation)`
    `void` | `setOverwrite(boolean overwrite)`
    `void` | `setRevision(java.lang.String revision)`
    `void` | `setTo(java.lang.String to)`
    `void` | `setTransitive(boolean transitive)`
    `void` | `setType(java.lang.String type)`

    - ### Methods inherited from class org.apache.ivy.ant.IvyTask

      `cacheAttributeNotSupported, doValidate, execute, finalizeTask, getIvyInstance, getProperty, getProperty, getProperty, getProperty, getPubDate, getResolvedConfigurations, getResolvedDescriptor, getResolvedDescriptor, getResolvedDescriptor, getResolvedDescriptor, getResolvedReport, getSettings, getSettingsRef, isValidate, mergeConfs, prepareTask, setResolved, setResolved, setSettingsRef, setValidate, splitConfs, toString`

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IvyInstall

          public IvyInstall()

  - ### Method Detail

    - #### doExecute

          public void doExecute()
                         throws org.apache.tools.ant.BuildException

      Description copied from class: `IvyTask`
      The real logic of task execution after project has been set in the context. MUST be implemented by subclasses
      Specified by:
        `doExecute` in class `IvyTask`
      Throws:
        `org.apache.tools.ant.BuildException`

    - #### isHaltonfailure

          public boolean isHaltonfailure()

    - #### setHaltonfailure

          public void setHaltonfailure(boolean haltOnFailure)

    - #### setCache

          public void setCache(java.io.File cache)

    - #### getModule

          public java.lang.String getModule()

    - #### setModule

          public void setModule(java.lang.String module)

    - #### getBranch

          public java.lang.String getBranch()

    - #### setBranch

          public void setBranch(java.lang.String branch)

    - #### getOrganisation

          public java.lang.String getOrganisation()

    - #### setOrganisation

          public void setOrganisation(java.lang.String organisation)

    - #### getRevision

          public java.lang.String getRevision()

    - #### setRevision

          public void setRevision(java.lang.String revision)

    - #### isOverwrite

          public boolean isOverwrite()

    - #### setOverwrite

          public void setOverwrite(boolean overwrite)

    - #### getFrom

          public java.lang.String getFrom()

    - #### setFrom

          public void setFrom(java.lang.String from)

    - #### getTo

          public java.lang.String getTo()

    - #### setTo

          public void setTo(java.lang.String to)

    - #### isTransitive

          public boolean isTransitive()

    - #### setTransitive

          public void setTransitive(boolean transitive)

    - #### getType

          public java.lang.String getType()

    - #### setType

          public void setType(java.lang.String type)

    - #### getMatcher

          public java.lang.String getMatcher()

    - #### setMatcher

          public void setMatcher(java.lang.String matcher)

    - #### getConf

          public java.lang.String getConf()

    - #### setConf

          public void setConf(java.lang.String conf)

    - #### isInstallOriginalMetadata

          public boolean isInstallOriginalMetadata()

    - #### setInstallOriginalMetadata

          public void setInstallOriginalMetadata(boolean installOriginalMetadata)